Subject: [dhcwg] "hops" in DHCP messages

From: JH <[email-masked]>
Date: Tue, 30 Dec 2003 22:35:04 +0800

Hi,

What is the purpose of this field in DHCP messages?

Is DHCP relay agent supposed to increased it by one when it pass a DHCP 
message to the DHCP server?
How about the message from DHCP server to the relay agent?

What a DHCP server supposed to do if the hops is zero from DHCP relay?

thank you.

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: "Kevin A. Noll" <[email-masked]>
Date: Tue, 30 Dec 2003 13:12:50 -0500

DHCP (RFC 2131) depends on BOOTP relay agent functionality. You can find
the specifics in RFC 951 and RFC 1542.

The hops field counts the number of times relay agents have relayed the 
BOOTP/DHCP message. If hops exceeds 16, then the relay agent is required 
to drop the message, i.e. not continue relaying it. This prevents an 
infinite forwarding loop.

The DHCP server is not required to do anything with the hops field.

--kan--

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of JH
> Sent: Tuesday, 30 December, 2003 9:35 AM
> To: [email-masked]
> Subject: [dhcwg] "hops" in DHCP messages
> 
> 
> Hi,
>